Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(50)

Unified Diff: third_party/protobuf/ruby/travis-test.sh

Issue 1842653006: Update //third_party/protobuf to version 3. (Closed) Base URL: https://chromium.googlesource.com/chromium/src.git@master
Patch Set: merge Created 4 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/protobuf/ruby/tests/stress.rb ('k') | third_party/protobuf/six.BUILD » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/protobuf/ruby/travis-test.sh
diff --git a/third_party/protobuf/ruby/travis-test.sh b/third_party/protobuf/ruby/travis-test.sh
new file mode 100755
index 0000000000000000000000000000000000000000..1b53dd789f2f0a143ef314a3f32194cc5338f129
--- /dev/null
+++ b/third_party/protobuf/ruby/travis-test.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+
+# Exit on any error.
+set -e
+
+test_version() {
+ version=$1
+ if [ "$version" == "jruby" ] ; then
+ # No conformance tests yet -- JRuby is too broken to run them.
+ bash --login -c \
+ "rvm install $version && rvm use $version && \
+ which ruby && \
+ gem install bundler && bundle && \
+ rake test"
+ else
+ bash --login -c \
+ "rvm install $version && rvm use $version && \
+ which ruby && \
+ gem install bundler && bundle && \
+ rake test"
+ # TODO(xiaofeng): Conformance tests are disabled because the ruby testee
+ # program crashes on some inputs.
+ # cd ../conformance && \
+ # make test_ruby
+ fi
+}
+
+test_version $1
« no previous file with comments | « third_party/protobuf/ruby/tests/stress.rb ('k') | third_party/protobuf/six.BUILD » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698